Skip to main content
`Ctrl`+`K`

# DMForestGetCellSF

After the setup phase, get the `PetscSF` for overlapping cells between processes

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetCellSF(DM dm, PetscSF *cellSF)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- cellSF - the `PetscSF`

## See Also

`DM`, `DMFOREST`, `DMForestGetCellChart()`

## Level

intermediate

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages